<?php
namespace App\Smarty\Functions;

class CorporateContactLabel
{

	static public function create($params, $smarty)
	{

		// CHECK INPUT ----------------------------------------------------------------------------
		$defaultOutput = '';
		if ($params['default']) {
			$defaultOutput = $params['default'];
		}

		// GET BANK DETAILS -----------------------------------------------------------------------
		// bsp period object reference
		if (is_object($params['ref']) and get_class($params['ref'])=='Entity\CorporateContact') {
			$corporateContact = $params['ref'];
		}
		// corporate contact id
		elseif ( is_numeric($params['ref']) and $params['ref']>0 ) {
			$corporateContact = \Entity\CorporateContact::select($params['ref']);
			if (!$corporateContact->recordExists()) {
				return $defaultOutput;
			}
		}
		// something invalid
		else {
			return $defaultOutput;
		}

		// STORE CORPORATE CONTACT DETAILS IN AN OUTPUT PARAMETER ($params['assign']) -------------
		if ($params['assign']) {
			$smarty->assign($params['assign'], $corporateContact);
			return '';
		}

		// CHECK OUTPUT FORMAT --------------------------------------------------------------------
		if ($params['hideLink']) {
			return $corporateContact->getId();
		}
		else {
			return sprintf("<span class=\"remoteLoadLink\" onclick=\"RemoteLoad.loadEntity(this, '%s', '%s');\">#%s</span>",
				'corporateContact',
				$corporateContact->getId(),
				$corporateContact->getId());
		}
	}

}